Bug 180533 - [PATCH] devel/rubygem-rspec: update to 2.14.1
[PATCH] devel/rubygem-rspec: update to 2.14.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 19:00 UTC by Steve Wills
Modified: 2013-09-07 22:40 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-rspec-2.14.1.patch (1.31 KB, patch)
2013-07-13 19:00 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2013-07-13 19:00:01 UTC
- Update to 2.14.1

Port maintainer (romanbsd@yahoo.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-13 19:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-13 19:00:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-07-13 19:00:15 UTC
Maintainer of devel/rubygem-rspec,

Please note that PR ports/180533 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180533

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Steve Wills freebsd_committer 2013-07-16 02:30:48 UTC
Responsible Changed
From-To: ruby->sunpoet

- Assign to sunpoet
Comment 5 dfilter freebsd_committer 2013-09-07 22:36:45 UTC
Author: sunpoet
Date: Sat Sep  7 21:36:32 2013
New Revision: 326695
URL: http://svnweb.freebsd.org/changeset/ports/326695

Log:
  - Update to 2.14.1
  
  Changes:	https://github.com/rspec/rspec/commits/v2.14.1
  PR:		ports/180533
  Submitted by:	swills
  Approved by:	maintainer (timeout, 8 weeks)

Modified:
  head/devel/rubygem-rspec/Makefile
  head/devel/rubygem-rspec/distinfo

Modified: head/devel/rubygem-rspec/Makefile
==============================================================================
--- head/devel/rubygem-rspec/Makefile	Sat Sep  7 21:36:28 2013	(r326694)
+++ head/devel/rubygem-rspec/Makefile	Sat Sep  7 21:36:32 2013	(r326695)
@@ -2,16 +2,16 @@
 # $FreeBSD$
 
 PORTNAME=	rspec
-PORTVERSION=	2.14.0
+PORTVERSION=	2.14.1
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG
 
 MAINTAINER=	romanbsd@yahoo.com
 COMMENT=	Behaviour Driven Development in Ruby
 
-RUN_DEPENDS=	rubygem-rspec-core>=2.14.0:${PORTSDIR}/devel/rubygem-rspec-core \
-		rubygem-rspec-expectations>=2.14.0:${PORTSDIR}/devel/rubygem-rspec-expectations \
-		rubygem-rspec-mocks>=2.14.0:${PORTSDIR}/devel/rubygem-rspec-mocks
+RUN_DEPENDS=	rubygem-rspec-core>=${PORTVERSION:R}:${PORTSDIR}/devel/rubygem-rspec-core \
+		rubygem-rspec-expectations>=${PORTVERSION:R}:${PORTSDIR}/devel/rubygem-rspec-expectations \
+		rubygem-rspec-mocks>=${PORTVERSION:R}:${PORTSDIR}/devel/rubygem-rspec-mocks
 
 USE_RUBY=	yes
 USE_RAKE=	yes

Modified: head/devel/rubygem-rspec/distinfo
==============================================================================
--- head/devel/rubygem-rspec/distinfo	Sat Sep  7 21:36:28 2013	(r326694)
+++ head/devel/rubygem-rspec/distinfo	Sat Sep  7 21:36:32 2013	(r326695)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/rspec-2.14.0.gem) = cf4cb06d0552d76a8b619ce366f7f38a21d444509c5a3ff7f5d8da06a262c9e7
-SIZE (rubygem/rspec-2.14.0.gem) = 4608
+SHA256 (rubygem/rspec-2.14.1.gem) = 4f9fc6c58696faa22571ca80d710fd0e4f30eaeb700155968d36df303f279e8c
+SIZE (rubygem/rspec-2.14.1.gem) = 4608
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-09-07 22:37:00 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!